Deluge 2.0 Beta 1

Suggestions and discussion of future versions
mhertz
Seeder
Seeder
Posts: 178
Joined: Wed Jan 22, 2014 5:05 am

Re: Deluge 2.0 Beta 1

Postby mhertz » Tue Dec 04, 2018 9:09 pm

I don't know if you can just install a libboost for python 3 or will have to manually rebuild boost libs with python 3 switch.

Just a guess here, btw.

Unrelated, I just tried latest deluge develop in a virtualenv which I hadn't in some time and so I changed my install script to now use python 3 everywhere, and it worked on latest arch Linux except in console interface no characters gets shown or input when typing in cli mode.

Cas
Top Bloke
Top Bloke
Posts: 3577
Joined: Mon Dec 07, 2009 6:04 am
Location: Scotland

Re: Deluge 2.0 Beta 1

Postby Cas » Wed Dec 05, 2018 8:17 am

jeps wrote:After updating my Ubuntu 19.04 to libtorrent 1.11.1, I am not able to start the Deluge Daemon, I get the following respons:
ModuleNotFoundError: No module named 'deluge.libtorrent'

During handling of the above exception, another exception occurred:

ImportError: /lib/x86_64-linux-gnu/libboost_python27.so.1.67.0: undefined symbol: PyClass_Type

What to do now?
there seems to be missing a module the Deluge part?


I have updated the version of the PPA to be supersede 1.11 with a fix, which should be available in the next few hours.

See Ubuntu bug: https://bugs.launchpad.net/ubuntu/+sour ... ug/1800264

Cas
Top Bloke
Top Bloke
Posts: 3577
Joined: Mon Dec 07, 2009 6:04 am
Location: Scotland

Re: Deluge 2.0 Beta 1

Postby Cas » Wed Dec 05, 2018 8:46 am

mhertz wrote:Unrelated, I just tried latest deluge develop in a virtualenv which I hadn't in some time and so I changed my install script to now use python 3 everywhere, and it worked on latest arch Linux except in console interface no characters gets shown or input when typing in cli mode.


Can you create a ticket please

slvrdragn
Member
Member
Posts: 16
Joined: Tue Dec 12, 2017 4:50 pm

Re: Deluge 2.0 Beta 1

Postby slvrdragn » Wed Dec 05, 2018 6:19 pm

Cas wrote:
ImportError: Introspected and static glib/gtk bindings must not be mixed; can't import gireactor since pygtk2 module is already imported.


I wonder if it is picking up another Deluge installation. Have you uninstalled the old Deluge?

Also we have moved to Python 3 so better to run under that.


I don't actually have an old version installed.

I can't change my default python to 3 as it would break most of my other applications, as far as I've read on each project. Is there an easy way to have it changed just for deluge? in the systemd file perhaps?

jeps
Member
Member
Posts: 32
Joined: Wed May 18, 2011 4:32 pm

Re: Deluge 2.0 Beta 1

Postby jeps » Wed Dec 05, 2018 7:53 pm

Thanks cas, I appreciate the effort.

I have tried to update my Ubuntu several times during the day, but I don't get your new version of libtorrent-rasterbar offered.
Is this because of a delay (synching the repository or something) or is something wrong?

Cas
Top Bloke
Top Bloke
Posts: 3577
Joined: Mon Dec 07, 2009 6:04 am
Location: Scotland

Re: Deluge 2.0 Beta 1

Postby Cas » Thu Dec 06, 2018 10:09 am

Ah my mistake, forgot I need to bump the version to 1.1.12 (in development) so it's newer. Rebuild is pending for Disco so check the develop PPA page for availablity: https://code.launchpad.net/~deluge-team ... tu/develop

jeps
Member
Member
Posts: 32
Joined: Wed May 18, 2011 4:32 pm

Re: Deluge 2.0 Beta 1

Postby jeps » Thu Dec 06, 2018 1:33 pm

Thanks, I'm up and running again.

Ubuntu 19.04 was maybe not so good a choice after all.

BTW. I am really missing "summarized upload/download" numbers in the footer.
but that's another story :-)

ElectronicWar
New User
New User
Posts: 8
Joined: Wed Sep 04, 2013 3:21 pm

Re: Deluge 2.0 Beta 1

Postby ElectronicWar » Fri Dec 07, 2018 11:02 am

Are there specific roadblocks or other (tedious?) tasks to get a Windows build back up?
If it does not require much expertise to fix the build and just time I am happy to spin up a dev environment to help with that.

Cas
Top Bloke
Top Bloke
Posts: 3577
Joined: Mon Dec 07, 2009 6:04 am
Location: Scotland

Re: Deluge 2.0 Beta 1

Postby Cas » Fri Dec 07, 2018 12:52 pm

ElectronicWar wrote:Are there specific roadblocks or other (tedious?) tasks to get a Windows build back up?

Unfortunately yes, I need to work out how to get pyinstaller to create the package since bbfreeze is unusable with Python 3

slvrdragn
Member
Member
Posts: 16
Joined: Tue Dec 12, 2017 4:50 pm

Re: Deluge 2.0 Beta 1

Postby slvrdragn » Fri Dec 14, 2018 7:50 pm

Just curious, i'm having issues getting things to connect to the daemon, logs show it working but getting the below.
the 120 was coming from webui, the 68 from the windows client (assuming its an older build)
I can't connect anything at the moment, its currently running under a specifc user as a service
Suggestions appreciated, i love this client!
opensuse Leap 15
develop branch from git
fresh uninstall and reinstall.

14:47:38.112 [WARNING ][deluge.transfer :136 ] Failed to decompress (25 bytes) and load serialized data with rencode: loads() got an unexpected keyword argument 'decode_utf8'
14:47:39.109 [WARNING ][deluge.transfer :136 ] Failed to decompress (25 bytes) and load serialized data with rencode: loads() got an unexpected keyword argument 'decode_utf8'
14:47:40.111 [WARNING ][deluge.transfer :136 ] Failed to decompress (25 bytes) and load serialized data with rencode: loads() got an unexpected keyword argument 'decode_utf8'
14:47:41.277 [WARNING ][deluge.transfer :136 ] Failed to decompress (25 bytes) and load serialized data with rencode: loads() got an unexpected keyword argument 'decode_utf8'
14:47:42.105 [WARNING ][deluge.transfer :136 ] Failed to decompress (25 bytes) and load serialized data with rencode: loads() got an unexpected keyword argument 'decode_utf8'
14:47:43.108 [WARNING ][deluge.transfer :136 ] Failed to decompress (25 bytes) and load serialized data with rencode: loads() got an unexpected keyword argument 'decode_utf8'
14:47:44.160 [WARNING ][deluge.transfer :136 ] Failed to decompress (25 bytes) and load serialized data with rencode: loads() got an unexpected keyword argument 'decode_utf8'
--------------------------------------------------------------------------------------------------------------2018/12/14 14:47:47-------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------2018/12/14 14:47:47-------------------------------------------------------------------------------------------------------------
14:47:51.495 [WARNING ][deluge.transfer :114 ] Error occurred when parsing message header: Received invalid protocol version: 68. PROTOCOL_VERSION is 1..
14:47:51.496 [WARNING ][deluge.transfer :116 ] This version of Deluge cannot communicate with the sender of this data.
14:47:51.496 [WARNING ][deluge.transfer :136 ] Failed to decompress (0 bytes) and load serialized data with rencode: Error -5 while decompressing data: incomplete or truncated stream
14:47:51.496 [WARNING ][deluge.transfer :114 ] Error occurred when parsing message header: Received invalid protocol version: 120. PROTOCOL_VERSION is 1..
14:47:51.496 [WARNING ][deluge.transfer :116 ] This version of Deluge cannot communicate with the sender of this data.
14:47:51.496 [WARNING ][deluge.transfer :136 ] Failed to decompress (0 bytes) and load serialized data with rencode: Error -5 while decompressing data: incomplete or truncated stream


Return to “Development”

Who is online

Users browsing this forum: No registered users and 3 guests